import { BrowserModule } from '@angular/platform-browser';
import { NgModule, Injector } from '@angular/core';
import { SpreadSheetsModule } from '../lib/gc.spread.sheets.angular2.10.2.0.min';
import { AppComponent } from './app.component';
import { SpreadNgElementComponent } from './spread-ng-element/spread-ng-element.component';

import { createCustomElement } from '@angular/elements';

@NgModule({
  declarations: [
    AppComponent,
    SpreadNgElementComponent
  ],
  imports: [
    BrowserModule, SpreadSheetsModule
  ],
  providers: [],
  // bootstrap: [AppComponent],
  entryComponents: [SpreadNgElementComponent]
})
export class AppModule {

  constructor(private injector: Injector) {}

  ngDoBootstrap() {
    const el = createCustomElement(SpreadNgElementComponent, { injector: this.injector });
    customElements.define('app-spread-ng-element', el);
  }
}
